<template>
      
</template>
<script>
    export default {
        data(){
            return{
                form : new Form(
                  {
                    name : "",
                    email : "",
                    password : "",
                    password_confirmation : "",
                    is_admin : null
                }),
                isLoading:false,
            }
        },
        created()
        {

        },
        mounted() {

        },
        computed:
        {

        },
        methods: 
        {
            //Ajoute un role dans la BDD
            onSubmit()
            {
                this.isLoading  = true
                //Requête ajax
                this.form.post("/login").then((value) => 
                {  
                    this.$root.ui()
                    window.location= isDefined(value.path) ? value.path : "/"
                },
                (error) =>
                {
                  this.isLoading = false
                });                  
            },
      register: function () 
      {
        let data = {
          name: this.form.name,
          email: this.form.email,
          password: this.form.password,
          is_admin: this.form.is_admin
        }
        
        this.$store.dispatch('register', data)
       .then(() => this.$router.push('/'))
       .catch(err => console.log(err))
      },
            //Initialisation du formulaire
              reset()
            {
                  this.form.reset();
                  this.isLoading = false
            },

            updateError()
            {
                  
               if(this.form.errors.has('email') || this.form.errors.has('identify') || this.form.errors.has('username') )
               {
                  this.form.errors.clear('identify') 
                  this.form.errors.clear('email') 
                  this.form.errors.clear('username') 
               }
            },
        },
        components:
        {

        }
    }
</script>